Kerbal Space Program - Feedback #4877

Material Bay is now called Science Jr. but the contracts still refer to it as Material Bay.
05/01/2015 06:34 PM - Xrave

Status: Being Worked On

Severity: Low

Assignee: Jay

Category: Parts

Target version:

Version: 1.8.1 Language: English (US)
Platform: Any Mod Related: No
Expansion: Core Game

Description

SC-9001 Science Jr is referred to as Material Bay in contracts that want probes in particular orbits. | don't think new players will get it.

In another note, why is the Version box of the bug report not sorted in order (lol)

History

#1 - 05/02/2015 07:40 AM - EddieRod1285

IKR bugs even on the bug tracker! | was looking at that yesterday as well! | hope a lot of this stuff gets fixed before .... oh wait :~(

#2 - 05/02/2015 11:50 PM - Ruedii
- Tracker changed from Bug to Feedback

This would fall under feedback, not a bug. | took the liberty of changing it such so it doesn't just get marked "not a bug."

Yes, | think the Science Jr. should have "materials bay" in it's name and/or description to clarify this. After all, some mods provide alternative

materials bay parts.

#3 - 07/17/2016 09:28 AM - TriggerAu

- Status changed from New to Needs Clarification

#4 - 01/16/2017 12:56 PM - 5thHorseman

What needs clarification?

The part in the VAB is named "Science Jr" and nowhere on the part or in the description does it refer to it being a "Materials Bay."

In all contracts that call for you to put a Science Jr on a probe or station say you need a "Materials Bay" on the vessel.

This is continually confusing to players new to career mode.

Yes, right clicking the Science Jr does prompt you to "Observe Materials Bay" which at least gives someone the CHANCE to figure it out, but
considering this isn't supposed to be a puzzle game the obfuscation between the contracts and the part description should be changed somehow.

#5 - 05/10/2017 08:33 PM - peder

Just want to say that 10-05-2017 | have the above "text" problem.

| often see it in "sattelite missions"

Example the mission requirment say.
"Have a material bay on the sattelite.”

But when i look for a part named "material bay", then | get confused since there are not such a specific part.
personaly when i read materials bay, then there are two options "sc-9001 science jr or the "service bay" that is my guess of what part i need.
| think the word "materials bay" is a bit confusing to many players ( for people who do not speak native english ), and that it should be called the

specific part name that you need instead. It would make it more easy to understand i think. ;-)

#6 - 06/22/2017 12:55 PM - bewing

- File matbay.jpg added
- Status changed from Needs Clarification to Ready to Test

- Target version set to 1.3.0

It says "Materials Bay" on it now. See pic.

#7 - 01/08/2018 04:11 AM - Ruedii

Technically the Science Jr. is A materials bay, not the materials bay.

Some mods add more. Typically contracts look for the science module for a materials bay which such mods should use if they are wanting to provide
similar functionality.

#8 - 04/29/2019 09:32 PM - bitnick
- Status changed from Ready to Test to Not Fixed
- Expansion Core Game added

Stillin 1.7.0.

Confused me until | found this thread: https://forum.kerbalspaceprogram.com/index.php?/topic/95693-where-do-i-find-a-

To repeat: Some (satellite) contracts require you to have a "materials bay" on the satellite. This part doesn't exist in the VAB or in the science tree.
What you need to complete the contract is an "SC-9001 Science Jr".

#9 - 05/14/2019 06:15 AM - Anonymous

The request is to change in Contracts.cfg,

in the section Contracts:Satellite:PART_REQUEST // A potential materials bay request for satellites
replace

PartDescription = #autoLOC_500061 //#autoLOC_500061 = materials bay

with

PartDescription = #autoLOC_500691 //#autoLOC_500691 = SC-9001 Science Jr.

In recent versions of the game including 1.7, the contract template tests the specific "Part = science_module" which is the lookup-name of the
SC-9001.

The contract template could be expanded to the class of parts with "Module = ModuleScienceExperiment”, but there is no class of parts associated
with the name 'materials bay'.

#10 - 02/13/2020 06:20 AM - Anonymous

Another report here https:/forum.kerbalspaceprogram.com/index.php?/topic/191588-mission-requires-a-part-that-i-cannot-find/

#7019 (although its main complaint seems to be fixed) points out a similar mismatch in contracts.cfg. Two contract rules contain
PartDescription = #autoLOC_500027 //#autoLOC_500027 = research lab

PartDescription = #autoLOC_500070 //#autoLOC_500070 = research lab

but there is no part called "research lab" and these contract require a station to contain a

#autoLOC_500688 = Mobile Processing Lab MPL-LG-2

#11 - 02/13/2020 02:32 PM - Zhetaan
- Category set to Parts

- Version changed from 1.0 to 1.9.0

This is still confusing players; a contract really ought to ask for the part by its proper part name.

I'm updating the target version to hopefully garner some more interest from the developers.

#12 - 02/13/2020 02:32 PM - Zhetaan
- Version changed from 1.9.0 to 1.8.1

#13 - 02/13/2020 05:20 PM - just_jim

- Project changed from Kerbal Space Program to KSP Develop
- Category changed from Parts to Parts

- Status changed from Not Fixed to Updated

- Target version deleted (1.3.0)

- Resolve when Fixed On set to Single Reported Platform

- Language deleted (English (US))
https://forum.kerbalspaceprogram.com/index.php?/topic/95693-where-do-i-find-a-quotmaterials-bayquot/
https://forum.kerbalspaceprogram.com/index.php?/topic/191588-mission-requires-a-part-that-i-cannot-find/
https://bugs.kerbalspaceprogram.com/issues/7019

#14 - 02/13/2020 05:21 PM - Jay
- Status changed from Updated to Being Worked On

- Assignee set to Jay

#16 - 02/13/2020 08:28 PM - just_jim
- File deleted (2020-02-13 13_38_49-KSP - spaceCenter - PC, Mac & Linux Standalone - Unity 2019.2.2f1 _DX11_.png)

#17 - 02/13/2020 08:30 PM - TriggerAu

- Project changed from KSP Develop to Kerbal Space Program
- Category changed from Parts to Parts

- Resolve when Fixed On deleted (Single Reported Platform)

- Language English (US) added

#18 - 02/13/2020 08:31 PM - TriggerAu

We mistakenly moved this one and so theres some extra items in the coments

Files

matbay.jpg 356 KB 06/22/2017 bewing
